gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] [taler-deployment] branch master updated: resume tutorials


From: gnunet
Subject: [GNUnet-SVN] [taler-deployment] branch master updated: resume tutorials build.
Date: Sun, 11 Mar 2018 00:40:19 +0100

This is an automated email from the git hooks/post-receive script.

marcello pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new d90cbd6  resume tutorials build.
d90cbd6 is described below

commit d90cbd660cd47ce10f6f8a03bf59156f424d708c
Author: Marcello Stanisci <address@hidden>
AuthorDate: Sun Mar 11 00:40:03 2018 +0100

    resume tutorials build.
---
 taler-docbuild/Makefile            |  5 ++++-
 taler-docbuild/invalidate.sh       |  2 +-
 taler-docbuild/update_tutorials.sh | 23 +++++++++++++++++++++++
 3 files changed, 28 insertions(+), 2 deletions(-)

diff --git a/taler-docbuild/Makefile b/taler-docbuild/Makefile
index 8f27d88..92f4379 100644
--- a/taler-docbuild/Makefile
+++ b/taler-docbuild/Makefile
@@ -1,7 +1,10 @@
 all: api-stamp backoffice-stamp bank-stamp exchange-stamp 
-all: docs-landing-stamp merchant-stamp
+all: docs-landing-stamp merchant-stamp tutorials-stamp
 all: www.taler.net-stamp stage.taler.net-stamp
 
+tutorials-stamp:
+       ./update_tutorials.sh
+       touch $@
 
 api-stamp:
        ./update_api.sh
diff --git a/taler-docbuild/invalidate.sh b/taler-docbuild/invalidate.sh
index e094441..48d6e58 100755
--- a/taler-docbuild/invalidate.sh
+++ b/taler-docbuild/invalidate.sh
@@ -1,7 +1,7 @@
 #!/bin/bash
 
 set -eu
-components="merchant exchange backoffice stage.taler.net www.taler.net api 
docs-landing"
+components="tutorials merchant exchange backoffice stage.taler.net 
www.taler.net api docs-landing"
 
 for component in  $components ; do
   cd $HOME/$component
diff --git a/taler-docbuild/update_tutorials.sh 
b/taler-docbuild/update_tutorials.sh
new file mode 100755
index 0000000..793f7b6
--- /dev/null
+++ b/taler-docbuild/update_tutorials.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+set -eu
+
+fetch () {
+  git clean -fdx
+  git fetch
+  # reset to updated upstream branch, but only if we're tracking a branch
+  branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo HEAD)
+  git reset --hard "$branch"
+}
+
+cd $HOME/tutorials
+fetch
+make
+cp php/doc/tutorial.pdf $HOME/build/merchant-frontend/php/pdf/
+cp php/doc/tutorial.html $HOME/build/merchant-frontend/php/html/
+cp php/doc/*.css $HOME/build/merchant-frontend/php/html/
+cp php/doc/*.jpg $HOME/build/merchant-frontend/php/html/
+cp python/doc/tutorial.pdf $HOME/build/merchant-frontend/python/pdf/
+cp python/doc/tutorial.html $HOME/build/merchant-frontend/python/html/
+cp python/doc/*.css $HOME/build/merchant-frontend/python/html/
+cp python/doc/*.jpg $HOME/build/merchant-frontend/python/html/

-- 
To stop receiving notification emails like this one, please contact
address@hidden



reply via email to

[Prev in Thread] Current Thread [Next in Thread]